Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
hannesr
Uus kasutaja
Uus kasutaja


Vanus: 43
Liitunud: 07.03.2019
Postitused: 11


estonia.gif
postituspostitatud: 23.11.2020, 19:09  postituse pealkiri:  zenmap ja kali linux  

Kas keegi on kokku puutunud kali linux ja zenmap graafilise keskonna probleemiga? Nimelt lubab paigaldada kalile zenmap graafilise liidese ja ei too välja ühtegi viga installiga aga kui käivitada zenmap või zenmap (root), ei juhtu midagi ja programm tööle ei lähe. Kas keegi teab lahendust. otsingutest abi ei saanud. Repositorid on paigas ja update ja upgrade ja dist upgrade pole aidanud.


imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2620
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 23.11.2020, 19:22  postituse pealkiri:  (teema puudub)  

Lase käsurealt käima ja vaata kas tagastatakse mingi veateade, siis saad edasi uurida.

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

hannesr
Uus kasutaja
Uus kasutaja


Vanus: 43
Liitunud: 07.03.2019
Postitused: 11


estonia.gif
postituspostitatud: 23.11.2020, 21:14  postituse pealkiri:  (teema puudub)  

Kas võib olla probleem selles, et uus kali kasutab python 3 aga eelnevalt oli python 2?

Could not import the zenmapGUI.App module: 'No module named gtk'.
I checked in these directories:
/usr/bin
/usr/share/offsec-awae-wheels/urllib3-1.25.9-py2.py3-none-any.whl
/usr/share/offsec-awae-wheels/colorama-0.4.3-py2.py3-none-any.whl
/usr/share/offsec-awae-wheels/pyOpenSSL-19.1.0-py2.py3-none-any.whl
/usr/share/offsec-awae-wheels/soupsieve-1.9.5-py2.py3-none-any.whl
/usr/share/offsec-awae-wheels/ply-3.11-py2.py3-none-any.whl
/usr/share/offsec-awae-wheels/enum34-1.1.10-py2-none-any.whl
/usr/share/offsec-awae-wheels/beautifulsoup4-4.9.1-py2-none-any.whl
/usr/share/offsec-awae-wheels/certifi-2020.4.5.1-py2.py3-none-any.whl
/usr/share/offsec-awae-wheels/ipaddress-1.0.23-py2.py3-none-any.whl
/usr/share/offsec-awae-wheels/six-1.15.0-py2.py3-none-any.whl
/usr/share/offsec-awae-wheels/chardet-3.0.4-py2.py3-none-any.whl
/usr/share/offsec-awae-wheels/PySocks-1.7.1-py27-none-any.whl
/usr/share/offsec-awae-wheels/pycparser-2.20-py2.py3-none-any.whl
/usr/share/offsec-awae-wheels/requests-2.23.0-py2.py3-none-any.whl
/usr/share/offsec-awae-wheels/idna-2.9-py2.py3-none-any.whl
/usr/share/offsec-awae-wheels/backports.functools_lru_cache-1.6.1-py2.py3-none-any.whl
/usr/share/cffi-wheels/py-1.8.1-py2.py3-none-any.whl
/usr/share/cffi-wheels/setuptools-44.1.0-py2.py3-none-any.whl
/usr/lib/python2.7
/usr/lib/python2.7/plat-x86_64-linux-gnu
/usr/lib/python2.7/lib-tk
/usr/lib/python2.7/lib-old
/usr/lib/python2.7/lib-dynload
/usr/local/lib/python2.7/dist-packages
/usr/lib/python2.7/dist-packages
/usr/lib/python2.7/dist-packages
/usr/lib/python2.6/site-packages
If you installed Zenmap in another directory, you may have to add the
modules directory to the PYTHONPATH environment variable.


imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2620
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 23.11.2020, 21:57  postituse pealkiri:  (teema puudub)  

Paistab nii, et zenmap püüab python2 kasutada ja otsib selle kaustadest sõltuvusi taga.
Kali ma ei tunne, aga tagasiühilduvalt võib ju proovida python 2.7 vmt paigaldada.
Kasvõi testimiseks.

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

hannesr
Uus kasutaja
Uus kasutaja


Vanus: 43
Liitunud: 07.03.2019
Postitused: 11


estonia.gif
postituspostitatud: 24.11.2020, 19:35  postituse pealkiri:  (teema puudub)  

Ei tööta ka siis kui paigaldada Python 2.7


imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2620
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 24.11.2020, 23:03  postituse pealkiri:  (teema puudub)  

Kuidas sa zenmap üldse paigaldasid?
Viimane Kali ei paku üldse zenmap'i välja ja nmap koduleht ei paku ka .deb varianti välja.

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

hannesr
Uus kasutaja
Uus kasutaja


Vanus: 43
Liitunud: 07.03.2019
Postitused: 11


estonia.gif
postituspostitatud: 25.11.2020, 07:57  postituse pealkiri:  (teema puudub)  

Tere. Kasutasien alien ja sellega konvertisin .rpm to .deb. Zenmap on installitud ja käivitamiseks on olemas 2 varianti: zenmap ja zenmap(root) mitte kumbki ei käivitu.Jah tean et viimane kali ei toeta enam zenmapi. Proovisin ka lisada python2 aga ka see ei aidanud midagi. Võrgus on saadaval infot kuidas paigaldada zenmap ja kõigil lõpuks töötab aga minul mitte.


imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2620
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 25.11.2020, 11:25  postituse pealkiri:  (teema puudub)  

Vaikimisi peakski python2 olemas olema, aga see on ajale kõvasti jalgu jäänud.
nmap enda github lehel on issue tekitatud selle kohta, peaaegu 3a tagasi, et läheks python3 peale üle.
https://github.com/nmap/nmap/issues/1176
Nagu näed, siis viimased kommentaarid on üsna hiljutised.
See et teistel töötab, see paistab olevat varasem workaround ja enam ei tööta.
Seal on liiga palju python2 sõltuvusi mis oleks vaja korda ajada., aga see võib kogu süsteemi üsna katki teha lõpuks.
GUI on tore asi, aga kasuta parem puhast käsurida. Saad sama info kätte kui õigeid käsurea võtmeid kasutad.
Midagi keerulist ei ole https://www.stationx.net/nmap-cheat-sheet/

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

hannesr
Uus kasutaja
Uus kasutaja


Vanus: 43
Liitunud: 07.03.2019
Postitused: 11


estonia.gif
postituspostitatud: 26.11.2020, 07:43  postituse pealkiri:  (teema puudub)  

Ega tuleb käsureaga harjuda. Suur tänu aitamast.


imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2620
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 27.11.2020, 12:23  postituse pealkiri:  (teema puudub)  

Meenus, et paar võimalust on veel:
1) Virtualboxi installida vanem Kali kus on Zenmap veel olemas.
2) Kasutada Docker konteinerit.

Kui tahaksid dockerit proovida, siis installi docker kõigepealt:
https://www.kali.org/docs/containers/installing-docker-on-kali/
Ja jooksutamiseks:
Kood:
docker run -d \
-e DISPLAY \
-e XAUTHORITY='/xauthority' \
-v ${HOME}:/home/zenmap \
-v /tmp/.X11-unix/:/tmp/.X11-unix/ \
-v ${XAUTHORITY}:/xauthority:ro \
--user=root \
alexandreoda/zenmap

Esimesel korral võtab natukene aega kuna peab Dockeri ametlikust repositooriumist ca 300mb alla laadima, aga edaspidi on hetkega töövalmis kuna see image on juba sul masinas olemas.

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group